alexmartin
alexmartin
Offline
0
Could you please let us know when the Affiliate tracker for J 4 will be available? It is unique component and is a must for any commercial website. Please communicate! Looking forward!!!
Responses (16)
  • Accepted Answer

    Friday, April 15 2022, 07:32 AM - #Permalink
    0
    unfortunately I can't tell you an exact date, but we are actively working on it and we hope it will be released soon!
    The reply is currently minimized Show
  • Accepted Answer

    Monday, April 25 2022, 06:46 PM - #Permalink
    0
    Hello,

    Can I ask which extension/s do you use Affiliate Tracker with? (which extensions do you connect it to)

    Thanks!
    The reply is currently minimized Show
  • Accepted Answer

    alexmartin
    alexmartin
    Offline
    Tuesday, April 26 2022, 05:21 AM - #Permalink
    1
    I use it with PayPlans https://stackideas.com/payplans Membership and Hikashop
    Looking forward for Affiliate tracker - is absolutely unique and a must for any commerce website!
    The reply is currently minimized Show
  • Accepted Answer

    skyiron
    skyiron
    Offline
    Tuesday, April 26 2022, 11:31 AM - #Permalink
    0
    I don't use Affiliate Tracker yet, but intend to when it is J4 compatible. I just wanted to say that I would want to use it with PayPlans, Invitex and possibly JReviews.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, April 26 2022, 11:36 AM - #Permalink
    1
    Thanks for your comments. Affiliate Tracker for Joomla 4 will be released soon.
    PayPlans, HikaShop, Membershipt Pro and Invitex will be compatible.
    JReviews is not currently in our list of compatible extensions.
    The reply is currently minimized Show
  • Accepted Answer

    skyiron
    skyiron
    Offline
    Tuesday, April 26 2022, 11:40 AM - #Permalink
    0
    That's no problem. I can probably use the Affiliate API to integrate it with JReviews.
    The reply is currently minimized Show
  • Accepted Answer

    Thursday, April 28 2022, 08:08 AM - #Permalink
    0
    Hi all,

    We have released our first Joomla 4 version for Affiliate Tracker: https://www.joomlathat.com/news/news/affiliate-tracker-joomla-4-compatible-released
    The reply is currently minimized Show
  • Accepted Answer

    alexmartin
    alexmartin
    Offline
    Friday, April 29 2022, 01:04 AM - #Permalink
    0
    I have installed new version.

    1) ) Created a menu for Account:
    get this error on clicking as a user to go to the account:
    500 behavior::modal not found.

    2) as a user Selecting menu New affiliate Form produced this error:
    1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1

    The component is producing errors and need to be tested before a release.
    Please help
    • Germinal Camps
      4 weeks ago
      Thanks for the feedback. Working on getting these fixed ASAP.
      We tested it a lot before release, I apologise for the inconvenience.
      Which Joomla 4 are you using it with?
    • Germinal Camps
      4 weeks ago
      I could fix the "SQL syntax" error but I cannot find the "behavior::modal" one, this code is not in our component.
      Can you please point me to where you're getting this error so I can check it?
    The reply is currently minimized Show
  • Accepted Answer

    alexmartin
    alexmartin
    Offline
    Friday, April 29 2022, 04:32 PM - #Permalink
    0
    A user selecting menu Affiliate Account:

    500 behavior::modal not found.

    on
    Joomla! 4.1.2 Stable
    The reply is currently minimized Show
  • Accepted Answer

    alexmartin
    alexmartin
    Offline
    Friday, April 29 2022, 05:01 PM - #Permalink
    0
    I have uninstalled and reinstalled freshly ( today) versions and all problems still there.

    P.S. Updating Affiliate Tracker extension produced:

    Invalid extension update
    Attachments:
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, April 30 2022, 07:06 AM - #Permalink
    0
    well, it's very strange because "behavior::modal" is not part of the new version 4.0.0.
    As. I can see in your screenshot that the version that is installed is 2.1.6 (which is not compatible with J4)
    You should uninstall this version and install the new version 4 fresh (the DB data will not be lost, but if you want, you can make a backup of it first)
    The reply is currently minimized Show
  • Accepted Answer

    alexmartin
    alexmartin
    Offline
    Saturday, April 30 2022, 08:13 PM - #Permalink
    0
    O only have access to a version from download page you provided.ease make sure it is all the new version all files and I am happy to reinstall. Also you may send those file via my email to make sure I am using the intended file set. Thank you!
    The reply is currently minimized Show
  • Accepted Answer

    Rob Santos
    Rob Santos
    Offline
    Tuesday, May 03 2022, 03:17 PM - #Permalink
    0
    Hi! I just got the version for Joomla 4 and had the same problem after installation (500 behavior::modal not found), including "invalid extension update".

    See attached screenshots of the debug and the Chrome console.

    Rob
    The reply is currently minimized Show
  • Accepted Answer

    alexmartin
    alexmartin
    Offline
    Wednesday, May 04 2022, 03:15 AM - #Permalink
    0
    1) J Updates states invalid update link from old version to new version.
    2) That also means that the version attached on the Download page is not for J 4

    Could you please make sure that on the Download for Affiliate Tracker there is correct version or send me correct version for J 4 via my email.
    Thank you very much for creating Affiliate tracker for J 4!!

    P.S. Please see my screenshot

    Looking forward
    Attachments:
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, May 04 2022, 07:46 AM - #Permalink
    0
    Hello both,

    I truly apologise. It turned out, indeed, that the package being uploaded had the wrong version content in it. I recompiled all packages and now the download files should be the correct ones.

    Please, download the component again and try to reinstall.

    Apologies once more... such a silly little mistake.
    The reply is currently minimized Show
  • Accepted Answer

    Rob Santos
    Rob Santos
    Offline
    Wednesday, May 04 2022, 12:53 PM - #Permalink
    0
    It's working 100% now, thank you!

    Quick question: what does the Auto-register affiliates plugin do? I have my guess, but I just want to make it sure. Also, the filename (plg_affiliatetracker_autoregister_affiliates_2.0.0_3.x.zip) suggests that the version is compatible only with Joomla 3.x. Can you confirm it?

    Affiliate Tracker is really cool!
    The reply is currently minimized Show
Your Reply